#!/bin/sh
# This is bash script for automation of Octave Forge packages ebulids
# writing it shows potential system-wide dependencies from portage
# (c) by Hack_leberry Finn 2012 on GPLv3 license
# Require sed, grep, echo, for loop, emerge

# Check where some extra dependencies was
Testing=$(grep "^#" -r portage/sci-misc/octave-*/*ebuild | \
grep -v 'Copyright\|\$Header\|Distributed\|dist_admin')
Testing2=$(echo "$Testing" |cut -f 1 -d : | sort -u \
| sed -e ':a;N;$!ba;s/\n/ /g')

# Searching portage tree
for Index in $Testing2
do
echo "$Index"
Testing2=$(grep "^#" "$Index" | \
grep -v 'Copyright\|\$Header\|Distributed\|dist_admin')
echo "$Testing2"
Testing2=$(echo "$Testing2" | sed -e 's/\[Debian\]//g' -e 's/ (.*),/ /g' \
-e 's/ (.*)$//g' -e 's/[,.]//g' -e 's/[[:digit:]]//g' -e 's/- / /g' \
-e 's/-devel//g' -e 's/-dev//g' -e 's/-bin//g' | cut -f 2 -d :)
emerge -s $Testing2 2> /dev/null | grep "^*"
done
